org.apache.ignite.internal.util.lang

## Class GridFilteredClosableIterator<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridFilteredIterator<T>
  - - org.apache.ignite.internal.util.lang.GridFilteredClosableIterator<T>

All Implemented Interfaces:
  AutoCloseable, Iterator<T>

    public abstract class GridFilteredClosableIterator<T>
    extends GridFilteredIterator<T>
    implements AutoCloseable

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.lang.GridFilteredIterator

`it`

### Constructor Summary

Constructors
`protected` `GridFilteredClosableIterator(GridCloseableIterator<? extends T> it)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridFilteredIterator

`accept, hasNext, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### GridFilteredClosableIterator

    protected GridFilteredClosableIterator(GridCloseableIterator<? extends T> it)

Parameters:
  `it` - Closeable iterator.

### Method Detail

#### close

    public void close()
               throws IgniteCheckedException

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020